Update the Snaplex to the latest version

POST https://{controlplane_path}/api/1/rest/public/snaplex/version/latest/{plex_path}      

This API updates the Snaplex to the latest version.

Prerequisites

  • Environment (Org) admin permissions

Path parameters

Key Description
controlplane_path Required. The path to the SnapLogic control plane: elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For example:
  • uat.elastic.snaplogic.com
  • emea.snaplogic.com
plex_path Required. The path to the Snaplex. The path comparison is case-sensitive.

Format: /{env_org}/{project_space}/{project_name}/{snaplex_name}

Example: /snaplogic/shared/My%20Cloud

Query parameters

None.

Request header

In the request header, specify Basic for authorization, add your credentials (Login and password of your SnapLogic user or service account), and specify application/json for content type. For more details on accounts refer to Manage accounts.


Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
          

Example of Basic authentication using Postman

When using JWT authentication, the API requests includes specific headers. In the request header, specify Bearer Token for authorization, add the token, and specify application/json for content type. These headers are automatically added when you configure bearer token authentication in your API client. The authorization header contains the word Bearer followed by a space and your JWT token.


Authorization: Bearer Token {token}
Content-Type: application/json
          

Example of JWT authenthication using Postman

Request body

None.

Response

{
    "response_map": {},
    "http_status_code": 200
}